Gutenberg – WordPress et compatibilité …

Qu’est-ce que l’éditeur de WordPress ?

Gutenberg est le nouvel éditeur de blocs pour la création de site internet avec WordPress il est devenu obligatoire à partir de WordPress 5.0. C’est un éditeur de nouvelle génération où vous pouvez travailler sous forme de blocs. Il aide à simplifier  la création d’articles ou de pages à l’aide d’une interface intuitive.

Le page bulder à comme caractéristique principale l’édition des blocs qui composent les éléments d’une page internet ils  peuvent être déplacés librement. Gutenberg est solidement intégré à WordPress depuis version 5.0.

Dans WordPress, l’éditeur de blocs ne pose généralement pas de problèmes avec la plupart des extensions. Mais, tout plugin qui ajoute des fonctionnalités ou en modifie l’apparence peut ne pas être compatible avec lui. Si vous utilisez beaucoup de raccourcis générés par de nombreuses extensions sur vos pages et articles.

Il y a de grandes chances que vous rencontriez également des conflits avec le nouveau page bulder de WordPress. La raison en est que le ce nouvel éditeur exige que vous utilisiez des blocs de raccourcis personnalisés.Les extensions qui ajoutent d’autres styles personnalisés à vos pages et articles peuvent également causer des problèmes avec Gutenberg.

Certaines qui n’ont pas reçu de mises à jour récentes peuvent aussi causer des conflits avec le nouvel éditeur. De manière générale, nous préférons éviter les plugins qui n’ont pas été mis à jour depuis les six derniers mois.Une chose  que vous devriez également envisager, surtout quand vous passez à la phase d’administration professionnelle des sites web.

 

Compatibilité de Gutenberg avec les extensions WordPress

Bien évidement, beaucoup de personnes sont depuis une moment déja occupés à déterminer quels extensions sont compatibles ou pas  avec Gutenberg. Ces informations sont visibless dans la base de données sur la compatibilité des extensions pour Gutenberg.

En ce moment, cette base de données contient plus de  5 000 plugins, dont la plupart des offres les plus adaptés à de WordPress. Pour le vérifier, il vous suffit de les rechercher à l’aide de la fonction de recherche de la base de données.

Idéalement, la grande majorité des utilisateurs du CMS WordPress devraient pouvoir utiliser Gutenberg  avec toutes les nouvelles versions  WordPress .

 

Mise à jour vers l’éditeur de blocs

L’utilisateur va cliquer  sur “Mettre à jour WordPress“, retourner à l’éditeur et continuer à publier avec Gutenberg et toutes les fonctionnalités qu’ils attend de l’éditeur classique.

Mais si l’un de leurs plugins actifs est incompatible avec Gutenberg, l’utilisateur de WordPress risque d’éprouver de la frustration ou de la panique !

Certaines installations WordPress comportent une douzaine de plugins actifs ou beaucoups plus pour les sites webs haut de gamme.

Nous parlons des sites web optimisés en terme de puissance de chargement, vitesse, sécurité, référencement, et marketing.

De sorte que les très nombreux plugins WordPress sont des vecteurs de risque important d’incompatibilité avec Gutenberg.

 

Comment désactiver Gutenberg ?

l’éditeur de blocs Gutenberg à son utilité, mais en fonction des modèles de thèmes spécifiques, des pages, des articles, des rôles utilisateur, que vous vouliez le désactiver. Disable Gutenberg vous permet de le désactiver et de le remplacer par l’éditeur classique où vous le souhaitez.

Par exemple, les nombreux utilisateurs de WP utilisent déjà un autre page bulder grâce à l’un des nombreux plugins intéressants comme Visual Composer ou Elementor. Avec toutes ces options, il est  inutile de se retrouver paralyser avec l’éditeur de blocs.

Cette méthode vous propose d’installer le plugin  Disable Gutenberg. Vous le trouverez dans le répertoire officiel des extensions de WordPress. Son utilisation  désactivera complètement l’éditeur de blocs de WordPress. Elle possède une très bonne notoriété avec plus de 700 000 installations actives et une note de cinq étoiles sur cinq.